<?php

namespace EventPortal\Domain\Util\Notification;

use EventPortal\Contracts\Event;

class NotificationData
{
    protected $id;

    protected $event;

    protected $form;

    public function getDatabaseId(): int
    {
        return $this->id;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function getEvent(): ?Event
    {
        return $this->event;
    }

    public function setEvent(Event $event): void
    {
        $this->event = $event;
    }

    public function getForm(): ?object
    {
        return $this->form;
    }

    /**
     * @param array|object $form
     */
    public function setForm($form): void
    {
        $this->form = (object) $form;
    }

    public function toArray(): array
    {
        return [
            'id' => $this->id,
            'event' => $this->event,
            'form' => $this->form,
        ];
    }
}
